---
title: HTMLObjectElement.willValidate
slug: Web/API/HTMLObjectElement/willValidate
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - willValidate
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>willValidate</code></strong> read-only property of the {{domxref("HTMLObjectElement")}} interface returns a {{jsxref("Boolean")}} that indicates whether the element is a candidate for constraint validation. Always false for HTMLObjectElement objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var Boolean = HTMLObjectElement.willValidate;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-cva-willvalidate','willValidate')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.willValidate")}}</p>
